<template>
	<section class="settings_main">
		<div class="p-3 w-100">
			<div class="base_block p-3 mb-3">
				<form class="dash_ftr" @submit.prevent="GetAll()" style="white-space: nowrap;">

					<div class="d-flex align-items-center py-2 mr-4">
						<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.operatorNumber }}:</div>

						<input type="text" class="form-control base_input dash_ftr_inp" v-model="agentNumber">
					</div>


					<div class="d-flex align-items-center py-2 mr-4">
						<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.callerNumber }}:</div>

						<input type="text" class="form-control base_input dash_ftr_inp" v-model="callerNumber">
					</div>


					<div class="d-flex align-items-center py-2 mr-4">
						<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.beginDate }}:</div>

						<datepicker
								v-model="fromDate"
								:config="options">
						</datepicker>
					</div>


					<div class="d-flex align-items-center py-2 mr-4">
						<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.endDate }}:</div>

						<datepicker
								v-model="toDate"
								:config="options">
						</datepicker>
					</div>



					<button type="submit" class="btn call_save_btn dash_ftr_btn">{{ $store.state.locale.search }}</button>
				</form>
			</div>


			<div class="base_block">
				<div class="cplt">
					<div class="cplt_cnt">
						<div class="cplt_table">
							<div class="cplt_table_hd">{{ $store.state.locale.recordings }}</div>

							<div class="cplt_table_bd">
								<div class="table-responsive settings_content_tb">
									<table class="table table-striped table-hover">
										<thead>
										<tr>
											<th>{{ $store.state.locale.operatorNumber }}</th>
											<th>{{ $store.state.locale.callerNumber }}</th>
											<th>{{ $store.state.locale.callTime }}</th>
											<th>{{ $store.state.locale.duration }}</th>
											<th class="w-25"> {{ $store.state.locale.savedAudio }}</th>
										</tr>
										</thead>

										<tbody>
										<tr v-for="item in recordListData.result">
											<td>{{ item.agentNumber }}</td>
											<td>{{ item.callerIdNumber }}</td>
											<td>{{ item.answerStamp | formatDateSecond }}</td>
											<td>{{ item.billsec }}</td>
											<td>
												<div class="call_discuss_rec_play mr-0">
													<audio controls :src="item.url" preload="none" @play="AudioPlay" style="outline: 0;">
														Your browser does not support the <code>audio</code> element.
													</audio>
												</div>
											</td>
										</tr>
										</tbody>
									</table>
								</div>
							</div>


							<div class="cplt_table_ft">
								<div class="call_message_ft d-flex justify-content-center" v-if="recordListData.pages > 1">
									<paginate
											:page-count="recordListData.pages"
											:click-handler="GetAll"
											:key="paginationKey"
											:page-range="3"
											:margin-pages="1"
											container-class="pagination base_pagination"
											page-class="page-item"
											prev-class="page-item ctrl"
											next-class="page-item ctrl"
											page-link-class="page-link"
											prev-link-class="page-link"
											next-link-class="page-link"
											prev-text="<i class='mdi mdi-chevron-left'></i>"
											next-text="<i class='mdi mdi-chevron-right'></i>"
									></paginate>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

		</div>
	</section>
</template>

<style></style>

<script src="./script.js"></script>